Bug 526826 - setroubleshoot: SELinux is preventing /usr/lib64/chromium-browser/chromium-browser "execmem" access on <Unknown>.
Summary: setroubleshoot: SELinux is preventing /usr/lib64/chromium-browser/chromi...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: rawhide
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:fa93d0e9fbd...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-01 21:36 UTC by ericm24x7
Modified: 2009-10-02 15:23 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-02 15:23:57 UTC
Type: ---


Attachments (Terms of Use)

Description ericm24x7 2009-10-01 21:36:38 UTC
The following was filed automatically by setroubleshoot:

Summary:

SELinux is preventing /usr/lib64/chromium-browser/chromium-browser "execmem"
access on <Unknown>.

Detailed Description:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by chromium-browse. The current boolean settings
do not allow this access. If you have not setup chromium-browse to require this
access this may signal an intrusion attempt. If you do intend this access you
need to change the booleans on this system to allow the access.

Allowing Access:

One of the following booleans is set incorrectly: allow_execstack, allow_execmem

Fix Command:

Choose one of the following to allow access:
Allow unconfined executables to make their stack executable. This should never,
ever be necessary. Probably indicates a badly coded executable, but could
indicate an attack. This executable should be reported in bugzilla")
# setsebool -P allow_execstack 1
Allow unconfined executables to map a memory region as both executable and
writable, this is dangerous and the executable should be reported in bugzilla")
# setsebool -P allow_execmem 1


Additional Information:

Source Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
                              023
Target Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
                              023
Target Objects                None [ process ]
Source                        chromium-browse
Source Path                   /usr/lib64/chromium-browser/chromium-browser
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           chromium-4.0.212.0-0.1.20090916svn26424.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-12.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Permissive
Plugin Name                   catchall_boolean
Host Name                     (removed)
Platform                      Linux (removed) 2.6.31.1-56.fc12.x86_64 #1 SMP
                              Tue Sep 29 16:16:22 EDT 2009 x86_64 x86_64
Alert Count                   21
First Seen                    Wed 30 Sep 2009 08:08:47 PM EDT
Last Seen                     Thu 01 Oct 2009 05:25:54 PM EDT
Local ID                      aebee153-ed0a-4507-9f9c-05039e81de63
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1254432354.347:51): avc:  denied  { execmem } for  pid=3839 comm="chromium-browse" scontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tclass=process

node=(removed) type=SYSCALL msg=audit(1254432354.347:51): arch=c000003e syscall=9 success=yes exit=139679631908864 a0=0 a1=40000 a2=7 a3=22 items=0 ppid=1 pid=3839 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=2 comm="chromium-browse" exe="/usr/lib64/chromium-browser/chromium-browser" subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  selinux-policy-3.6.32-12.fc12,catchall_boolean,chromium-browse,unconfined_t,unconfined_t,process,execmem
audit2allow suggests:

#============= unconfined_t ==============
allow unconfined_t self:process execmem;

Comment 1 Daniel Walsh 2009-10-02 15:23:57 UTC
Fixed in selinux-policy-3.6.32-20.fc12.noarch


Note You need to log in before you can comment on or make changes to this bug.